#include "../const.h"

#ifdef AIBO_YES

#include "ExpandLayer.h"

// Useful functions for expanding layerH images...
void
PutPixel(byte* img, int w, int x, int y, byte* pixel)
{

  byte* ptr = img + 3*(w*y + x);
  ptr[0] = pixel[0];
  ptr[1] = pixel[1];
  ptr[2] = pixel[2];

}

void 
PutPixel(byte* img, int w, int x, int y, byte pix)
{
  *(img + w*y + x) = pix;
}

byte 
ClipRange(int val) 
{
        
  if (val < 0) { 
     return 0;         
  }
  else if (val > 255) { 
       return 255;       
  }
  else { 
       return (byte)val; 
  }
    
}

#endif

